
I had just gone to bed and was lying on my back, waiting to fall asleep. Suddenly, I felt my body going numb; first the right side and then the left. I had just enough time to shout, 'help me' before it went all dark. I felt an electric shock that went through my whole body from my feet to the top of my head. I felt like I was ripped off of my body. I had a moment of strong fear and remember thinking, 'Is this how it feels to die?'

The next thing I remember was that I was floating above my convulsing body and looking at it. I was very close to my body before I realized I could move further from it. There was absolutely no fear anymore, but I was still wondering if this was my moment of death. I don't remember seeing any 'silver cord' between me and my body. My mother was crying hysterically beside my body and shouting 'don't die!' I felt sad for her, but at the same time I was just a calm observer. The weird thing is that when she went to the other side of our house to call an ambulance. This was two rooms away from the bedroom but I could hear her voice just like she was next to me the whole time. I remember floating up, close to the roof. I looked to the direction of the bedroom door. I could not physically see anything extraordinary, but I just somehow knew that above the door there was another door that I could and would use some day. That moment I also realized I was not going to die this time. Instantly after this realization, I felt another electric shock.

I'm not sure, how long it took from me to wake up in my body, but the first thing I remember was that the paramedics tried to make me walk down the stairs from second floor. I was diagnosed with epilepsy a few weeks after this seizure. My seizures that are mostly simple or complex partials, originate from my left temporal lobe. I've always wondered, if my experience is a real NDE or if it was only a hallucination caused by the electric storm in my brain.
